<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [ActiveFragment](./bitburner.activefragment.md)

## ActiveFragment interface


**Signature:**

```typescript
interface ActiveFragment 
```

## Properties

<table><thead><tr><th>

Property


</th><th>

Modifiers


</th><th>

Type


</th><th>

Description


</th></tr></thead>
<tbody><tr><td>

[highestCharge](./bitburner.activefragment.highestcharge.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[id](./bitburner.activefragment.id.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[numCharge](./bitburner.activefragment.numcharge.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[rotation](./bitburner.activefragment.rotation.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[x](./bitburner.activefragment.x.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
<tr><td>

[y](./bitburner.activefragment.y.md)


</td><td>


</td><td>

number


</td><td>


</td></tr>
</tbody></table>

